﻿@model FoodTruck.Models.CatalogueViewModel

@{
    ViewBag.Title = "Catalogue des produits";
    ViewBag.Menu = "catalogue";
}

<div class="container-fluid">

    <div class="displayRow">
        <div style="display: flex; flex-direction: row;align-self: flex-end; justify-content:  center;flex-grow: 4;">
            @foreach (var repas in Model.Repas)
            {
                <a onclick="navigateTo('@Url.Action("Index", new { SelectedRepasId= repas.id_Repas})', 'dateOrder')" style="margin-right:20px;cursor:pointer;">
                    <h4 style="font-size: larger;" class="@((repas.selected == true)? "selected" : "")">@repas.libelle</h4>
                </a>
             }
        </div>
        @*<div class='col-md-2'>
            <div class="input-group">
                @Html.EditorFor(model => model.desiredProduct, new { htmlAttributes = new { @class = "form-control" } })
                <div class="input-group-addon"><i class="fa fa-search fa-2x"></i></div>
            </div>
        </div>
        <div class='col-md-2'>
            <div class="input-group">
                <input type="text"
                       placeholder="Choisir une date"
                       class="form-control"
                       #dp="bsDatepicker"
                       bsDatepicker
                       [minDate]="todayDate"
                       [maxDate]="maxDate"
                       [(ngModel)]="currentDate"
                       [daysDisabled]="[6,0]"
                       [bsConfig]="{ isAnimated: true, dateInputFormat: 'YYYY-MM-DD' ,showWeekNumbers: false, containerClass: 'theme-blue' }">
                <div class="input-group-addon"><i (click)="dp.toggle()" [attr.aria-expanded]="dp.isOpen" class="fas fa-calendar-week fa-2x"></i></div>
            </div>
        </div>*@
    </div>
    <div class="displayRow" style="padding-top: 10px;">
        <div style="align-self: center; ">
        </div>
        <div style="display: flex; flex-direction: row;align-self: flex-end; justify-content: center;flex-grow: 4;">
            @foreach (var familleRepas in Model.FamilleRepas)
            {
                <a onclick="navigateTo('@Url.Action("Index", new { SelectedRepasId= Model.SelectedRepasId, SelectedFamilleRepasId= familleRepas.id_FamilleRepas })', 'dateOrder')" style="cursor:pointer;">
                    <div class="displayColumn">
                        <img src="@familleRepas.imageurl" class=@(familleRepas.selected == true ? "rounded selected" : "rounded")  />
                        <p class=@(familleRepas.selected == true ? "selected" : "" )>@familleRepas.libelle</p>
                    </div>
                </a>
            }
        </div>
    </div>
    <div style="display: flex; flex-direction: row; justify-content: center; flex-wrap: wrap;">
        @foreach (var produit in Model.Produits)
        {
        <div style="position: relative;">
            <div class="card productItem" style="@(produit.disponibilite.IndexOf(Session["dateId"].ToString()) < 0 ? "opacity : 0.5" : "")">
                <a href="@Url.Action("Detail", new { id = produit.id_Produit})">
                    <img src="@produit.image" class="card-img-top" alt="@produit.libellecommercial">
                </a>
                <div class="card-body">
                    <p class="card-title withThemeColor">@produit.libellecommercial</p>
                    <div class="card-text spaceBetween">
                        <p> @produit.prix_unitaire €HT</p>
                        <p class="withThemeColor">@Html.Raw(produit.prix_unitaire * 1.20) €TTC</p>
                    </div>
                    @if (User.Identity.IsAuthenticated)
                    {
                        if (produit.disponibilite.IndexOf(Session["dateId"].ToString()) > 0) { 
                            <div class="card-text spaceBetween">
                                <div style="display: flex;justify-content: space-between;">
                                    <a onclick="checkQuantity('@produit.composedId', 'add')"><i class="fas fa-plus-circle "></i></a>
                                    <a onclick="checkQuantity('@produit.composedId', 'remove')"><i class="fas fa-minus-circle "></i></a>
                                </div>
                                <input style=" margin: 0px 30px 0px 30px;height:24px;" class="form-control form-control-transparent" type="number" id="@produit.composedId" value="@produit.quantite" min="0" max="99" onchange="checkQuantity('@produit.composedId')">
                                @if (produit.quantite > 0)
                                {
                                    <a onclick="callAjax('@Url.Action("Delete", "Cart", new { idProduit = produit.id_Produit, backToUrl = Request.Url.AbsoluteUri  })','GET','', 'dateOrder')" style="cursor:pointer;">
                                        <i class="fas fa-trash-alt" style="color : purple;"></i>
                                    </a>
                                }
                            </div>
                            <a onclick="addToCart('@produit.composedId')" class="btn" style="color:white;display: none; width: 100%; margin-top: 5px;" id="add_@produit.composedId">
                                ajouter
                            </a>
                        }
                    }
                </div>
            </div>
            @if (User.Identity.IsAuthenticated)
            { 
                if (produit.quantite > 0)
                {
                    <span class="badgeNotif">  @produit.quantite  </span>
                }
            }
            </div>
        }
    </div>
</div>


